aboutsummaryrefslogtreecommitdiff
path: root/install
diff options
context:
space:
mode:
authorKatharina Fey <kookie@spacekookie.de>2020-06-04 20:31:43 +0200
committerKatharina Fey <kookie@spacekookie.de>2020-06-04 20:31:43 +0200
commit82581f23251dcd1f356ed83220143a090da655d1 (patch)
tree236115e44403bac4d9ad7af811eab05b0aaa690a /install
parentcde1ebf6802e12b3ab4b85ae9d2b583c771adae1 (diff)
install: adding bootstrapping script for libkookie
Diffstat (limited to '')
-rwxr-xr-xinstall20
1 files changed, 20 insertions, 0 deletions
diff --git a/install b/install
new file mode 100755
index 00000000000..0521733327d
--- /dev/null
+++ b/install
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -eo pipefail
+
+DIR=$(realpath $(dirname $0))
+ROOT="$DIR/roots/tempest.nix"
+
+echo Active tree: "$ROOT"
+
+## Build the libkookie tree
+function install {
+ NIXPKGS_ALLOW_UNFREE=1 \
+ NIXOS_CONFIG="$ROOT" \
+ nixos-install --root /mnt \
+ -I "nixpkgs=$DIR/nixpkgs" \
+ -I "nixpkgs-overlays=$DIR/overlays" \
+ -I "home-manager=$DIR/home-manager"
+}
+
+install